# Uses of Enum Class
com.usatiuk.objects.iterators.IteratorStart

Packages that use IteratorStart
Package
Description
com.usatiuk.dhfs.jmap
com.usatiuk.objects.iterators
com.usatiuk.objects.snapshot
com.usatiuk.objects.transaction

## Uses of IteratorStart in com.usatiuk.dhfs.jmap

Methods in com.usatiuk.dhfs.jmap with parameters of type IteratorStart
Modifier and Type
Method
Description
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder, IteratorStart start, K key)`

## Uses of IteratorStart in com.usatiuk.objects.iterators

Methods in com.usatiuk.objects.iterators that return IteratorStart
Modifier and Type
Method
Description
`static IteratorStart`
IteratorStart.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IteratorStart[]`
IteratorStart.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.usatiuk.objects.iterators with parameters of type IteratorStart
Modifier
Constructor
Description
``
`KeyPredicateKvIterator(CloseableKvIterator<K,V> backing, IteratorStart start, K startKey, Function<K,Boolean> filter)`
``
`MergingKvIterator(IteratorStart startType, K startKey, CloseableKvIterator<K,V>... iterators)`
``
`MergingKvIterator(IteratorStart startType, K startKey, List<CloseableKvIterator<K,V>> iterators)`
``
`NavigableMapKvIterator(NavigableMap<K,? extends V> map, IteratorStart start, K key)`
``
`TombstoneSkippingIterator(IteratorStart start, K startKey, List<CloseableKvIterator<K,MaybeTombstone<V>>> iterators)`

## Uses of IteratorStart in com.usatiuk.objects.snapshot

Methods in com.usatiuk.objects.snapshot with parameters of type IteratorStart
Modifier and Type
Method
Description
`List<CloseableKvIterator<K,MaybeTombstone<V>>>`
Snapshot.`getIterator(IteratorStart start, K key)`

## Uses of IteratorStart in com.usatiuk.objects.transaction

Methods in com.usatiuk.objects.transaction with parameters of type IteratorStart
Modifier and Type
Method
Description
`CloseableKvIterator<JObjectKey,JData>`
CurrentTransaction.`getIterator(IteratorStart start, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(IteratorStart start, JObjectKey key)`